FruxonDocs
ApiAgent reply style

Gets one build and where it is.

While it waits for confirmation, the estimate is included with the hash to confirm it by. Agent admins only.

GET
/v1/tenants/{tenant}/agents/{agent}/replyStyle/builds/{build}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The agent ID.

build*integer

The build number.

Formatint32
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/replyStyle/builds/0"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "number": 0,
  "status": "RUNNING",
  "phase": "ESTIMATING",
  "newConversations": 0,
  "remainingConversations": 0,
  "progress": {
    "members": 0,
    "live": 0,
    "done": 0,
    "ignored": 0,
    "dead": 0,
    "alreadyHeld": 0,
    "cells": [
      {
        "stageId": "string",
        "status": "UNSPECIFIED",
        "count": 0
      }
    ],
    "held": [
      {
        "stageId": "string",
        "until": 0,
        "reason": "string"
      }
    ],
    "cost": 0,
    "credits": 0,
    "runs": 0
  },
  "estimate": {
    "computedAt": 0,
    "sampleSize": 0,
    "remainingCount": 0,
    "countIsFloor": false,
    "perItemP50": 0,
    "perItemP90": 0,
    "perItemMax": 0,
    "creditsPerItemP90": 0,
    "totalP50": 0,
    "totalP90": 0,
    "creditsP90": 0,
    "sampleByStatus": {},
    "budgetImpact": [
      {
        "agentId": "string",
        "managed": false,
        "projectedP90": 0,
        "windows": null
      }
    ],
    "hash": "string",
    "insufficient": false
  },
  "draftVersionNumber": 0,
  "detail": "string",
  "startedBy": "string",
  "createdAt": 0,
  "finishedAt": 0
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}